OSDir

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: question on running cassandra-dtests


It seems like the test could not find configuration:

ERROR: could not load /home/preetika/Preetika/OpenSource/DTests/cassandra-dtest/conftest.py

I would probably re-check the setup and make sure the path for conftest.py is okay.


Best,

Chayapan

Sent from my ASUS

-------- Original Message --------
From:"Tyagi, Preetika" <preetika.tyagi@xxxxxxxxx>
Sent:Tue, 27 Mar 2018 05:31:43 +0800
To:dev@xxxxxxxxxxxxxxxxxxxx
Subject:RE: question on running cassandra-dtests

>Yes, that's correct. I followed README and ran all below steps to create virtualenv. Attached is the output of all commands I ran successfully except the last one i.e. pytest.
>
>Could you please let me know if you see anything wrong or missing?
>
>Thanks,
>Preetika
>
>-----Original Message-----
>From: Ariel Weisberg [mailto:ariel@xxxxxxxxxxx] 
>Sent: Monday, March 26, 2018 9:32 AM
>To: dev@xxxxxxxxxxxxxxxxxxxx
>Subject: Re: question on running cassandra-dtests
>
>Hi,
>
>Your environment is python 2.7 when it should be python 3.
>See:
>>   File "/usr/local/lib/python2.7/dist-packages/_pytest/assertion/
>> rewrite.py", line 213, in load_module
>
>Are you using virtualenv to create a python 3 environment to use with the tests?
>
>From README.md:
>
>**Note**: While virtualenv isn't strictly required, using virtualenv is almost always the quickest path to success as it provides common base setup across various configurations.
>
>1. Install virtualenv: ``pip install virtualenv`` 2. Create a new virtualenv: ``virtualenv --python=python3 --no-site-packages ~/dtest`` 3. Switch/Activate the new virtualenv: ``source ~/dtest/bin/activate`` 4. Install remaining DTest Python dependencies: ``pip install -r /path/to/cassandra-dtest/requirements.txt``
>
>Regards,
>Ariel
>
>On Mon, Mar 26, 2018, at 11:13 AM, Tyagi, Preetika wrote:
>> I was able to run requirements.txt with success. Below is the error I get:
>> 
>> Traceback (most recent call last):
>>   File "/usr/local/lib/python2.7/dist-packages/_pytest/config.py", 
>> line 371, in _importconftest
>>     mod = conftestpath.pyimport()
>>   File "/usr/local/lib/python2.7/dist-packages/py/_path/local.py", 
>> line 668, in pyimport
>>     __import__(modname)
>>   File "/usr/local/lib/python2.7/dist-packages/_pytest/assertion/
>> rewrite.py", line 213, in load_module
>>     py.builtin.exec_(co, mod.__dict__)
>>   File "/usr/local/lib/python2.7/dist-packages/py/_builtin.py", line 
>> 221, in exec_
>>     exec2(obj, globals, locals)
>>   File "<string>", line 7, in exec2
>>   File "/home/<path to conftest.py>/conftest.py", line 11, in <module>
>>     from itertools import zip_longest
>> ImportError: cannot import name zip_longest
>> ERROR: could not load /home/<path to conftest.py>/conftest.py
>> 
>> Thanks,
>> Preetika
>> 
>> -----Original Message-----
>> From: Murukesh Mohanan [mailto:murukesh.mohanan@xxxxxxxxx]
>> Sent: Sunday, March 25, 2018 10:48 PM
>> To: dev@xxxxxxxxxxxxxxxxxxxx
>> Subject: Re: question on running cassandra-dtests
>> 
>> The complete error is needed. I get something similar if I hadn't run
>> `pip3 install -r requirements.txt`:
>> 
>> Traceback (most recent call last):
>>   File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", 
>> line 328, in _getconftestmodules
>>     return self._path2confmods[path]
>> KeyError: local('/home/muru/dev/cassandra-dtest')
>> 
>> During handling of the above exception, another exception occurred:
>> Traceback (most recent call last):
>>   File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", 
>> line 359, in _importconftest
>>     return self._conftestpath2mod[conftestpath]
>> KeyError: local('/home/muru/dev/cassandra-dtest/conftest.py')
>> 
>> During handling of the above exception, another exception occurred:
>> Traceback (most recent call last):
>>   File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", 
>> line 365, in _importconftest
>>     mod = conftestpath.pyimport()
>>   File "/usr/local/lib/python3.6/site-packages/py/_path/local.py", 
>> line 668, in pyimport
>>     __import__(modname)
>>   File "/usr/local/lib/python3.6/site-packages/_pytest/assertion/
>> rewrite.py", line 212, in load_module
>>     py.builtin.exec_(co, mod.__dict__)
>>   File "/home/muru/dev/cassandra-dtest/conftest.py", line 13, in 
>> <module>
>>     from dtest import running_in_docker, 
>> cleanup_docker_environment_before_test_execution
>>   File "/home/muru/dev/cassandra-dtest/dtest.py", line 12, in <module>
>>     import cassandra
>> ModuleNotFoundError: No module named 'cassandra'
>> ERROR: could not load /home/muru/dev/cassandra-dtest/conftest.py
>> 
>> Of course, `pip3 install -r requirements.txt` creates an `src` 
>> directory with appropriate branches of ccm and cassandra-driver checked out.
>> 
>> If you have run `pip3 install -r requirements.txt`, then something 
>> else is wrong and we need the complete error log.
>> 
>> On 2018/03/23 20:22:47, "Tyagi, Preetika" <preetika.tyagi@xxxxxxxxx> wrote: 
>> > Hi All,
>> > 
>> > I am trying to setup and run Cassandra-dtests so that I can write some tests for a JIRA ticket I have been working on.
>> > This is the repo I am using: 
>> > https://github.com/apache/cassandra-dtest
>> > I followed all the instructions and installed dependencies.
>> > 
>> > However, when I run "pytest -cassandra-dir=<path to Cassandra source 
>> > root directory>
>> > 
>> > It throws the error "could not load <some path>/conftest.py.
>> > 
>> > I checked that this file (conftest.py) exists in Cassandra-dtest source root and I'm not sure why it cannot find it. Does anyone have any idea what might be going wrong here?
>> > 
>> > I haven't used dtests before so I wonder if I'm missing something here.
>> > 
>> > Thanks,
>> > Preetika
>> > 
>> > 
>> 
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxxxx
>> For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxxxx
>> 
>> 
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxxxx
>> For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxxxx
>> 
>
>---------------------------------------------------------------------
>To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxxxx
>For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxxxx
>
>
>
>---------------------------------------------------------------------
>To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxxxx
>For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxxxx